Executive Summary

Summary
Title GraphicsMagick vulnerabilities
Informations
NameUSN-4206-1First vendor Publication2019-12-02
VendorUbuntuLast vendor Modification2019-12-02
Severity (Vendor) N/ARevisionN/A

Security-Database Scoring CVSS v2

Cvss vector : (AV:N/AC:L/Au:N/C:P/I:P/A:P)
Cvss Base Score7.5Attack RangeNetwork
Cvss Impact Score6.4Attack ComplexityLow
Cvss Expoit Score10AuthenticationNone Required
Calculate full CVSS 2.0 Vectors scores

Detail

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 16.04 LTS

Summary:

Several security issues were fixed in GraphicsMagick.

Software Description: - graphicsmagick: collection of image processing tools

Details:

It was discovered that GraphicsMagick incorrectly handled certain image files. An attacker could possibly use this issue to cause a denial of service. (CVE-2017-10794, CVE-2017-10799, CVE-2017-11102, CVE-2017-11140, CVE-2017-11403, CVE-2017-11636, CVE-2017-11637, CVE-2017-13147, CVE-2017-14042, CVE-2017-6335)

Update instructions:

The problem can be corrected by updating your system to the following package versions:

Ubuntu 16.04 LTS:
graphicsmagick 1.3.23-1ubuntu0.2
libgraphicsmagick++-q16-12 1.3.23-1ubuntu0.2
libgraphicsmagick-q16-3 1.3.23-1ubuntu0.2

In general, a standard system update will make all the necessary changes.

References:
https://usn.ubuntu.com/4206-1
CVE-2017-10794, CVE-2017-10799, CVE-2017-11102, CVE-2017-11140,
CVE-2017-11403, CVE-2017-11636, CVE-2017-11637, CVE-2017-13147,
CVE-2017-14042, CVE-2017-6335

Package Information:
https://launchpad.net/ubuntu/+source/graphicsmagick/1.3.23-1ubuntu0.2

Original Source

Url : http://www.ubuntu.com/usn/USN-4206-1

CWE : Common Weakness Enumeration

%idName
27 %CWE-119Failure to Constrain Operations within the Bounds of a Memory Buffer
18 %CWE-400Uncontrolled Resource Consumption ('Resource Exhaustion')
18 %CWE-20Improper Input Validation
9 %CWE-755Improper Handling of Exceptional Conditions
9 %CWE-476NULL Pointer Dereference
9 %CWE-416Use After Free
9 %CWE-125Out-of-bounds Read

CPE : Common Platform Enumeration

TypeDescriptionCount
Application60

Nessus® Vulnerability Scanner

DateDescription
2018-10-18Name : The remote Debian host is missing a security-related update.
File : debian_DSA-4321.nasl - Type : ACT_GATHER_INFO
2018-08-03Name : The remote Debian host is missing a security update.
File : debian_DLA-1456.nasl - Type : ACT_GATHER_INFO
2018-06-28Name : The remote Debian host is missing a security update.
File : debian_DLA-1401.nasl - Type : ACT_GATHER_INFO
2018-06-21Name : The remote FreeBSD host is missing a security-related update.
File : freebsd_pkg_25f73c4768a84a309cbc1ca5eea4d6ba.nasl - Type : ACT_GATHER_INFO
2018-03-29Name : The remote Debian host is missing a security update.
File : debian_DLA-1322.nasl - Type : ACT_GATHER_INFO
2018-03-09Name : The remote Amazon Linux AMI host is missing a security update.
File : ala_ALAS-2018-966.nasl - Type : ACT_GATHER_INFO
2018-02-01Name : The remote Fedora host is missing a security update.
File : fedora_2018-7c61d08c4f.nasl - Type : ACT_GATHER_INFO
2018-02-01Name : The remote Fedora host is missing a security update.
File : fedora_2018-bfb9835edd.nasl - Type : ACT_GATHER_INFO
2017-12-18Name : The remote openSUSE host is missing a security update.
File : openSUSE-2017-1386.nasl - Type : ACT_GATHER_INFO
2017-12-14Name : The remote openSUSE host is missing a security update.
File : openSUSE-2017-1362.nasl - Type : ACT_GATHER_INFO
2017-11-02Name : The remote Debian host is missing a security update.
File : debian_DLA-1154.nasl - Type : ACT_GATHER_INFO
2017-09-15Name : The remote Amazon Linux AMI host is missing a security update.
File : ala_ALAS-2017-891.nasl - Type : ACT_GATHER_INFO
2017-08-29Name : The remote openSUSE host is missing a security update.
File : openSUSE-2017-971.nasl - Type : ACT_GATHER_INFO
2017-08-25Name : The remote openSUSE host is missing a security update.
File : openSUSE-2017-966.nasl - Type : ACT_GATHER_INFO
2017-08-18Name : The remote SUSE host is missing one or more security updates.
File : suse_SU-2017-2199-1.nasl - Type : ACT_GATHER_INFO
2017-08-17Name : The remote SUSE host is missing one or more security updates.
File : suse_SU-2017-2176-1.nasl - Type : ACT_GATHER_INFO
2017-07-31Name : The remote Debian host is missing a security update.
File : debian_DLA-1045.nasl - Type : ACT_GATHER_INFO
2017-07-31Name : The remote openSUSE host is missing a security update.
File : openSUSE-2017-851.nasl - Type : ACT_GATHER_INFO
2017-07-27Name : The remote Fedora host is missing a security update.
File : fedora_2017-6c52e2d731.nasl - Type : ACT_GATHER_INFO
2017-07-27Name : The remote Fedora host is missing a security update.
File : fedora_2017-758fafed81.nasl - Type : ACT_GATHER_INFO
2017-07-24Name : The remote Fedora host is missing a security update.
File : fedora_2017-0446b53fd8.nasl - Type : ACT_GATHER_INFO
2017-07-21Name : The remote Fedora host is missing a security update.
File : fedora_2017-fba331bb86.nasl - Type : ACT_GATHER_INFO
2017-07-17Name : The remote Fedora host is missing a security update.
File : fedora_2017-02008fed70.nasl - Type : ACT_GATHER_INFO
2017-07-13Name : The remote Fedora host is missing a security update.
File : fedora_2017-3ac2e9b354.nasl - Type : ACT_GATHER_INFO
2017-04-21Name : The remote Amazon Linux AMI host is missing a security update.
File : ala_ALAS-2017-820.nasl - Type : ACT_GATHER_INFO
2017-04-03Name : The remote openSUSE host is missing a security update.
File : openSUSE-2017-411.nasl - Type : ACT_GATHER_INFO
2017-03-31Name : The remote openSUSE host is missing a security update.
File : openSUSE-2017-413.nasl - Type : ACT_GATHER_INFO
2017-03-13Name : The remote Fedora host is missing a security update.
File : fedora_2017-d2bab54ac9.nasl - Type : ACT_GATHER_INFO
2017-03-10Name : The remote Fedora host is missing a security update.
File : fedora_2017-c71a0f40f0.nasl - Type : ACT_GATHER_INFO

Alert History

If you want to see full details history, please login or register.
0
DateInformations
2019-12-03 17:19:47
  • First insertion